/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mobirentdesktop.entities;

import connectors.NameConnector;
import peaconnector.SEAnnot;
import peaconnector.XmlSerializerSchemas;

/**
 *
 * @author Budai Attila
 */
@ClassNameConnector(guiName = "DVD")
@XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "dvd"))
public class DVD {

 
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "title"))
    private String title;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "category"))
    private String category;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "rentalprice"))
    private int rentalPrice;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "releasedate"))
    private String releaseDate;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "staring"))
    private String staring;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "orderid"))
    private String orderId;

    public DVD( String title, String category, int rentalPrice, String releaseDate, String staring, String orderId) {
 
        this.title = title;
        this.category = category;
        this.rentalPrice = rentalPrice;
        this.releaseDate = releaseDate;
        this.staring = staring;
        this.orderId = orderId;
    }

    public DVD() {
    }
    @NameConnector(guiName = "Kategória")
    public String getCategory() {
        return category;
    }

    @NameConnector(guiName = "Megjelenés Dátuma")
    public String getReleaseDate() {
        return releaseDate;
    }

    @NameConnector(guiName = "Ár", type="int")
    public int getRentalPrice() {
        
        return rentalPrice;
    }


    @NameConnector(guiName = "Cím")
    public String getTitle() {
        return title;
    }

    @NameConnector(guiName = "Kategória")
    public void setCategory(String category) {
        this.category = category;
    }

    @NameConnector(guiName = "Megjelenés Dátuma")
    public void setReleaseDate(String releaseDate) {
        this.releaseDate = releaseDate;
    }

    @NameConnector(guiName = "Ár", type="int")
    public void setRentalPrice(int rentalPrice) {
        this.rentalPrice = rentalPrice;
    }

    
    public String getOrderId() {
        return orderId;
    }

    @NameConnector(guiName = "Főszereplő(k)")
    public void setStaring(String staring) {
        this.staring = staring;
    }

    @NameConnector(guiName = "Főszereplő(k)")
    public String getStaring() {
        return staring;
    }



    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    @NameConnector(guiName = "Cím")
    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return this.title;
    }


}
